The most important setting placed in Main menu:

- kz_mode <2|1|0> - recording mode (default: 1)
                    2 = LJ Mode, /start command teleports you to the last checkpoint and initiates demo recording,
                        /stop command saves demo as !LAST_LJ_DEMO.dem
                    1 = KZ Mode, /start command performs instant restart, teleports to the start and initiates demo recording,
                        after passing a map you will see finish menu, where you can save demo and/or start a new one,
                        /stop command ends recording beforehand, at that demo will be named as !LAST_KZ_DEMO.dem
                    0 = usual map passing used when you want to jump with your friends without demo recording,
                        /start command teleports to the start, /stop command does nothing

You can change recording mode only if recording was finished (say /stop in chat).

First page of Settings menu (item 6. in Main menu or /settings command):

- kz_blockct <1|0> - on/off block other players from joining counter-terrorists (default: 1)
- kz_timer <2|1|0> - show timer in roundtime (2 - timer is hidden, 1 - show current run time, 0 - standard timer) (default: 1)
- kz_loadrecords <1|0> - on/off downloading of record lists (default: 1)
- kz_automode <1|0> - automatically detect KZ and LJ Modes (default: 1)
                      How it works: when kz_mode is 0, it will stay 0
                      when kz_mode is 1 or 2, server tries to find start or finish buttons,
                      if both buttons found kz_mode is forced to 1,
                      if any of buttons is missing, kz_mode is forced to 2
- kz_mpbhop <2|1|0> - freeze bhop blocks so they can't move when players or something else touch them, 
                      with value 2 you can also use acj+sbj on the same bhop block (default: 0)
- kz_mainmenu <2|1|0> - on/off opening of Main menu (default: 1)
                        2 = when map starts or demo recording is initiated,
                        1 = when map starts,
                        0 = open manually (chat command /menu or by pressing M button)

Second page of Settings menu:

- kz_chatmsg <1|0> - which messages should be printed in chat (1 = all, 0 = don't show messages about recording start and finish) (default: 1)
- kz_recordmsg_mode <3|2|1|0> - when using kz_recordmsg_current and/or kz_recordmsg_diff (see below), which records should be shown (default: 3)
		                        3 = world record and community record, 
		                        2 = community record only, 
		                        1 = world record only, 
		                        0 = none
- kz_recordmsg_current <1|0> - show current wr/community record holder in chat before finish message (default: 1)
- kz_recordmsg_diff <1|0> - show difference between your time and wr/community record time in finish message (default: 1)
- kz_attempts <1|0> - on/off show number of attempt (default: 0)
- kz_allchat <1|0> -  on/off chat between dead and alive players (default: 1)

Third page of Settings menu:

- kz_axnbhop <1|0> - on/off AXN bhop (default: 0)
                     Maps, written down in ...\cstrike\addons\amxmodx\data\axn_maps.txt, will force AXN automatically
- kz_autoheal <1|0> - give 10000 hp on maps with hp booster (plus godmode on kzru_spacehop) (default: 1)
                      Also you will have godmode turned on for kzru_spacehop (it's allowed while recording this map)
- kz_showdamage <1|0> - show hp changes in HUD (default: 0)
- kz_setstarttouch <1|0> - on/off set start position by touching start button (default: 0)
- kz_blockmapsound <1|0> - on/off block map sounds (automatic stopsound) (default: 0)
                           This stopsound happens when map starts, if you want to fully block
                           map sounds, write its name in ...\cstrike\addons\amxmodx\data\silent_maps.txt
- kz_blockweapons <2|1|0> - block weapons pickup (2 = block all weapons, 1 = block all except dropped weapons, 0 = don't block) (default: 1)

Fourth page of Settings menu:

- kz_checkpoints <1|0> - on/off checkpoints (default: 1)
- kz_allowaircp <3|2|1|0> - allow checkpoints in air (default: 1)
                          3 = allow everywhere,
                          2 = allow on ladder and slide, but not in air,
                          1 = allow on ladder, but not in air,
                          0 = forbid in air and on ladder
- kz_gcdemo <1|0> - in LJ Mode /gc = /start (= /kzdemo) (default: 0)
- kz_loadangles <3|2|1|0> - load saved angles (3 = start & checkpoints, 2 = checkpoints only, 1 = start only, 0 = off) (default: 1)
- kz_checkpointmsg <1|0> - on/off checkpoint messages (default: 1)
- kz_gocheckmsg <1|0> - on/off gocheck messages (default: 1)

Fifth page of Settings menu:

- kz_top <1|0> - on/off pro15 and nub15 (default: 1)
- kz_topalone <1|0> - who should be saved in top15 (1 = only you, 0 = all) (default: 0)
- kz_showplace <1|0> - show your top15 place in HUD when finishing map (default: 0)
- kz_finishmsg_mode <3|2|1|0> - defines the situation when finish message is shown in HUD (message is set by kz_finishmsg_text) (default: 0)
                								3 = player reached first place in top15 or nub15,
                								2 = player set community record (if map has only one route),
                								1 = player set world record (if map has only one route),
                								0 = none
- kz_finishsound_mode <3|2|1|0> - defines the situation when finish sound is played (path to the sound is set by kz_finishsound_source) (default: 0)
                								  3 = player reached first place in top15 or nub15,
                								  2 = player set community record (if map has only one route),
                								  1 = player set world record (if map has only one route),
                								  0 = none
- kz_playermodel - set player model (default: 5)
				   5 = model is chosen randomly,
				   4 = GIGN,
				   3 = SAS,
				   2 = GSG-9,
				   1 = Seal Team 6,
                   0 = choose model manually via menu                   

Additional top setting:

- kz_illegalruns <1|0> - allow/forbid runs with noclip and hook in top15 (default: 0)


Bot settings menu (item 6. in Bot menu (/bot) or /botsettings command):

- kz_bot_download <1|0> - on/off downloading of new bots from KZ-Rush host (default: 0)
- kz_bot_removeold <1|0> - if downloading is turned on (kz_bot_download 1), remove files of old bots (default: 0)
- kz_bot_showonlynew <1|0> - if removing of old bots disabled (kz_bot_removeold 0), show only new bots in menu (default: 1)
- kz_bot_autocreate <1|0> - create bots when map starts (default: 0)
- kz_bot_usecmd <1|0> - allow bots to execute +use command (bots will press map buttons but won't affect the map) (default: 0) 
- kz_bot_sync <1|0> - synchronize start of bot's run with your pressing of the timer (needs kz_bot_usecmd 1 to find out which
                      +use command actually started the timer) (default: 0)
                                 

Some cvars are not shown in Settings menu:

- kz_bot_step <1-...> - how many seconds to skip in /bot menu (default: 20)
- kz_bot_speed <2-20> - how many times you can speed up the bot (default: 2)  

- kz_finishmsg_text - sets HUD message in a certain situation defined by kz_finishmsg_mode (default: "Congratulations!")
- kz_finishmsg_red, kz_finishmsg_green, kz_finishmsg_blue - colors of finish HUD message in RGB (default: 255, 255, 255 - white)

- kz_finishsound_source - sets path to the sound played in a certain situation defined by kz_finishsound_mode (default: "misc/ownage")
            						  You can use any sounds from valve/sound and these sounds from cstike/sound:
            						  misc/ownage, misc/mod_godlike, misc/mod_wickedsick, misc/perfect, misc/impressive, misc/holyshit

- kz_damage_red, kz_damage_green, kz_damage_blue - colors of message enabled by kz_showdamage in RGB (default: 255, 255, 255 - white)

- kz_hookspeed - set hook speed (default: 500)
- kz_hook_red, kz_hook_green, kz_hook_blue - hook colors in RGB (default: 0, 255, 0 - green)

- kz_newnightvision <2|1|0> - use new night vision, 1 for full bright and 2 for darker version (default: 0)
                              (allowed for demos with checkpoints only) 

- kz_remove_equip <1|0> - remove all entities like game_player_equip (can give you a scout or grenades)
                          and player_weaponstrip (takes away your weapons) on the map (default: 1) 

- kz_speclist <1|0> - on/off list of spectators (default: 1)
- kz_spec_hidden_admin <1|0> - hide/show admin with "d" flag in speclist (default: 0)
- kz_spec_red, kz_spec_green, kz_spec_blue - colors of speclist in RGB (default: 255, 255, 255 - white)
- kz_spec_x <-1, 0.0-1.0> - horizontal position of speclist, -1.0 for centered (default: 0.80)
- kz_spec_y_alive <-1, 0.0-1.0> - vertical position of speclist for alive players, -1.0 for centered (default: 0.05)
- kz_spec_y_dead <-1, 0.0-1.0> - vertical position of speclist for spectators, -1.0 for centered (default: 0.15)

- kz_speckeys <1|0> - show speckeys for spectators (default: 1)
- kz_showkeys <1|0> - show showkeys for alive players (default: 0)

- kz_semiclip <1|0> - allow players to go through each other (default: 1)
- kz_transparency_radius <0-250> - starting from this distance players become to be semitransparent (default: 250)

- kz_whatused <1|0> - include info about used cp&gc/hook/pause/noclip in demo name (default: 0) 
- kz_name - you can specify this cvar like kz_name "zhady", and your demo will be saved with this nickname no matter
            what nick was used while recording. To disable this feature, just type in kz_name "" or kz_name 0